#!/usr/bin/perl -w
use strict;

use SWF qw(:ALL);

SWF::setScale(1.0);

my $s = new SWF::Shape();
my $f = $s->addFill(new SWF::Bitmap("../common/alpha.dbl"));
$f->moveTo(-16, -16);
$s->setRightFill($f);

$s->movePenTo(-16, -16);
$s->drawLine(32, 0);
$s->drawLine(0, 32);
$s->drawLine(-32, 0);
$s->drawLine(0, -32);

my $p = new SWF::Sprite();
my $i = $p->add($s);
$p->nextFrame();

for(my $n=0; $n<90; ++$n)
{
  $i->rotate(4);
  $p->nextFrame();
}

my $m = new SWF::Movie();
$m->setDimension(64, 48);

$i = $m->add($p);
$i->moveTo(24, 24);

$i = $m->add($p);
$i->moveTo(40, 24);

$m->save("test.swf");
